# Class: NoTrailingSemicolons

Defined in: | node_modules/gulp-coffeelint/node_modules/coffeelint/src/rules/no_trailing_semicolons.coffee

## Variables Summary

rule =

      {
        name: 'no_trailing_semicolons',
        level: 'error',
        message: 'Line contains a trailing semicolon',
        description: "This rule prohibits trailing semicolons, since they are needless\ncruft in CoffeeScript.\n<pre>\n<code># This semicolon is meaningful.\nx = '1234'; console.log(x)\n\nalert('end of line');\n</code>\n</pre>\nTrailing semicolons are forbidden by default."
      }

## Instance Method Summary

- # (void) lintLine(line, lineApi)

## Instance Method Details

# (void) lintLine(line, lineApi)

Quickly fuzzy find classes, mixins, methods, file:

- T Open fuzzy finder dialog

Control the navigation frame:

- L Toggle list view
- C Show class list
- I Show mixin list
- F Show file list
- M Show method list
- E Show extras list

You can focus and blur the search input:

- S Focus search input
- Esc Blur search input